Enum Class AssetSearchSource

java.lang.Object
java.lang.Enum<AssetSearchSource>
com.eqixiac.equinix.customerportal.enums.AssetSearchSource
All Implemented Interfaces:
Serializable, Comparable<AssetSearchSource>, Constable

public enum AssetSearchSource extends Enum<AssetSearchSource>
Fields an asset search free-text query (q) is matched against (source query parameter of POST /v1/assets/search, Assets v1 spec). By default all fields are searched.
  • Enum Constant Details

  • Method Details

    • values

      public static AssetSearchSource[] values()
      Returns an array containing the constants of this enum class, in the order they are declared.
      Returns:
      an array containing the constants of this enum class, in the order they are declared
    • valueOf

      public static AssetSearchSource valueOf(String name)
      Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
      Parameters:
      name - the name of the enum constant to be returned.
      Returns:
      the enum constant with the specified name
      Throws:
      IllegalArgumentException - if this enum class has no constant with the specified name
      NullPointerException - if the argument is null